# Luakit Documentation / Modules / lousy.pickle

# Module `lousy.pickle`

lousy.pickle library

A table serialization utility for lua. Freeware.

Note: The serialization format may change without notice. This should be treated as an opaque interface.

## Functions

### lousy.pickle.pickle (t)

Convert a table into a string that can be saved to disk.

#### Parameters

- t
  Type: table
  The table to serialize.

#### Return Values

- string
  The string representing the table contents.

### lousy.pickle.unpickle (s)

Convert a string previously created with `pickle()` to a table.

#### Parameters

- s
  Type: string
  The string previously created with `pickle()`.

#### Return Values

- table
  A table corresponding to the given string.

## Attribution

#### Copyright

- 2000 Steve Dekorte